Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Class Group

    java.lang.Object
      |
      +--weblogic.management.configuration.Principal
            |
            +--weblogic.management.configuration.Group

Deprecated. Deprecated in WebLogic Server version 7.0.

public class Group
extends Principal

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Method Summary
`void` | `addMember(Principal member)` Deprecated. Adds a feature to the Member attribute of the Group object
`weblogic.management.configuration.RealmIterator` | `getMembers()` Deprecated. Gets the members attribute of the Group object
`void` | `removeMember(Principal member)` Deprecated.

Methods inherited from class weblogic.management.configuration.Principal
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMembers

    public weblogic.management.configuration.RealmIterator getMembers()
                             throws RealmException

  Deprecated.
  Gets the members attribute of the Group object

  Returns:
    The members value
  Throws:
    RealmException -

### addMember

    public void addMember(Principal member)
                   throws RealmException

  Deprecated.
  Adds a feature to the Member attribute of the Group object

  Parameters:
    `member` - The feature to be added to the Member attribute
  Throws:
    RealmException -

### removeMember

    public void removeMember(Principal member)
                      throws RealmException

  Deprecated.

  Parameters:
    `member` -
  Throws:
    RealmException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD